local config = {}

-- 逻辑：
-- <1>开场的时候需要两种情况：
-- 1. 闪动完停住
-- 2. 闪动完不停
-- <2>点击某个区域
-- 闪动这个区域，播放一次

-- 以上逻辑可以按照下面的逻辑来做
-- 通过人脸id的判断来做出现的逻辑。如果人脸id为-1，则闪动后停住（停留在有面具的情况），mode1。如果人脸id为-2，则闪动后不停（人脸干净，没有面具），mode2。当人脸id为其他代码时，需要对其他的视频帧时间进行复位。
-- 当选中某个区域时，人脸id为选中的人脸id，选中区域为区域号码。经过判断，播放一次闪动。
-- 区域代码
-- 额头：0；
-- 眼睛：1；
-- 颧骨：2；
-- 脸颊：3；
-- 鼻子：4；
-- 嘴巴：5；


config["appear_mode1"] = {}
config["appear_mode1"].fps = 20
config["appear_mode1"].video_name = "face_video/mode1/mode1_.png"
config["appear_mode1"].video_type = 4
config["appear_mode1"].video_info = {{1, 5, 2, 2, 21, 0, 0}, 7}

config["appear_mode2"] = {}
config["appear_mode2"].fps = 20
config["appear_mode2"].video_name = "face_video/mode2/mode2_.png"
config["appear_mode2"].video_type = 4
config["appear_mode2"].video_info = {{1, 5, 2, 2, 21, 0, 0}, 7}

config["forehead"] = {}
config["forehead"].fps = 20
config["forehead"].video_name = "face_video/forehead/forehead_.png"
config["forehead"].video_type = 4
config["forehead"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}

config["eyes"] = {}
config["eyes"].fps = 20
config["eyes"].video_name = "face_video/eyes/eyes_.png"
config["eyes"].video_type = 4
config["eyes"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}

config["cheekbones"] = {}
config["cheekbones"].fps = 20
config["cheekbones"].video_name = "face_video/cheekbones/cheekbones_.png"
config["cheekbones"].video_type = 4
config["cheekbones"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}

config["cheeks"] = {}
config["cheeks"].fps = 20
config["cheeks"].video_name = "face_video/cheeks/cheeks_.png"
config["cheeks"].video_type = 4
config["cheeks"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}

config["nose"] = {}
config["nose"].fps = 20
config["nose"].video_name = "face_video/nose/nose_.png"
config["nose"].video_type = 4
config["nose"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}

config["mouth"] = {}
config["mouth"].fps = 20
config["mouth"].video_name = "face_video/mouth/mouth_.png"
config["mouth"].video_type = 4
config["mouth"].video_info = {{1, 5, 2, 2, 11, 2, 2}, 7}


return config